petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetLabelIdIS

Get the integer ids in a label

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelIdIS(DM dm, const char name[], IS *ids)

Not Collective

### Input Parameters

| mesh | - The DM object
| name | - The label name

### Output Parameter

ids -The integer ids, or NULL if the label does not exist

### Keywords

mesh

### See Also

DMLabelGetValueIS(), DMGetLabelSize()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages